Bug 177314 - CVE-2005-4618 sysctl overflow (ipf)
CVE-2005-4618 sysctl overflow (ipf)
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
Depends On:
Blocks: 143573
  Show dependency treegraph
Reported: 2006-01-09 10:52 EST by Mark J. Cox (Product Security)
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2006-01-09 10:52:48 EST
+++ This bug was initially created as a clone of Bug #177311 +++

CVE defines CVE-2005-4618 as:
"Buffer overflow in sysctl in the Linux Kernel 2.6 before 2.6.15 allows local
users to cause a denial of service and possibly execute arbitrary code via a
long string, which causes sysctl to write a zero byte outside the buffer."

This is fixed by

I can't see a useful attack vector here, writing a character to one spot after a
userland buffer seems to me likely at the worst to crash your userland program,
and not cause a DoS or privilege escalation.  So we have marked this severity
low but this could equally be severity none (kernel maintainers please let us
know what you think after analysis)
Comment 1 RHEL Product and Program Management 2007-10-19 15:20:01 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.